Story # 725 (In Progress): Create Authentication and Access control design specifications

Identify approach to IdentityMapping

2010-11-10 00:24 - Matthew Jones

Status: In Progress Start date: 2010-11-10

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 30%

Category:  Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone:  Story Points:  

Product Version: *   

Description

Need an approach to mapping user Identities that allows local and InCommon identities to be used interchangeably when a user has

established that the identities are equivalent.  Communication with external systems should always occur using the InCommon

Identity.

History

#1 - 2010-12-29 23:50 - Matthew Jones

- Status changed from New to In Progress

#2 - 2010-12-29 23:51 - Matthew Jones

- translation missing: en.field_remaining_hours set to 1.0

#3 - 2010-12-29 23:54 - Matthew Jones

- % Done changed from 0 to 50

Initial services for Identity mapping outlined.  Need to also determine how this mapping would correspond to services such as the ORCID system (

http://www.orcid.org/).

#4 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#5 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#6 - 2012-12-12 16:50 - Chris Jones

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4

#7 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#8 - 2013-03-01 18:57 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#9 - 2013-08-02 12:22 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4
#10 - 2014-01-06 17:50 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#11 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

#12 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
